<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.muc.MucRoomManager</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        <a href="pyxmpp.jabber.muc-module.html">Module&nbsp;muc</a> ::
        Class&nbsp;MucRoomManager
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class MucRoomManager</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager">source&nbsp;code</a></span></p>
Manage collection of MucRoomState objects and dispatch events.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomManager-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stream</span>)</span><br />
      Initialize a <a href="pyxmpp.jabber.muc.MucRoomManager-class.html" class="link">MucRoomManager</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomManager-class.html#set_stream" class="summary-sig-name">set_stream</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stream</span>)</span><br />
      Change the stream assigned to <code class="link">self</code>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.set_stream">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomManager-class.html#set_handlers" class="summary-sig-name">set_handlers</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">priority</span>=<span class="summary-sig-default">10</span>)</span><br />
      Assign MUC stanza handlers to the <a href="pyxmpp.jabber.muc.MucRoomManager-class.html#stream" class="link">self.stream</a>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.set_handlers">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.muc.MucRoomState-class.html" class="link">MucRoomState</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomManager-class.html#join" class="summary-sig-name">join</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">room</span>,
        <span class="summary-sig-arg">nick</span>,
        <span class="summary-sig-arg">handler</span>,
        <span class="summary-sig-arg">password</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">history_maxchars</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">history_maxstanzas</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">history_seconds</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">history_since</span>=<span class="summary-sig-default">None</span>)</span><br />
      Create and return a new room state object and request joining
to a MUC room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.join">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jabber.muc.MucRoomState-class.html" class="link">MucRoomState</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomManager-class.html#get_room_state" class="summary-sig-name">get_room_state</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">room</span>)</span><br />
      Get the room state object of a room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.get_room_state">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomManager-class.html#forget" class="summary-sig-name">forget</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">rs</span>)</span><br />
      Remove a room from the list of managed rooms.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.forget">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">bool</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomManager-class.html#__groupchat_message" class="summary-sig-name" onclick="show_private();">__groupchat_message</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process a groupchat message from a MUC room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.__groupchat_message">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">bool</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomManager-class.html#__error_message" class="summary-sig-name" onclick="show_private();">__error_message</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process an error message from a MUC room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.__error_message">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">bool</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomManager-class.html#__presence_error" class="summary-sig-name" onclick="show_private();">__presence_error</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process an presence error from a MUC room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.__presence_error">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">bool</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomManager-class.html#__presence_available" class="summary-sig-name" onclick="show_private();">__presence_available</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process an available presence from a MUC room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.__presence_available">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">bool</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomManager-class.html#__presence_unavailable" class="summary-sig-name" onclick="show_private();">__presence_unavailable</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Process an unavailable presence from a MUC room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.__presence_unavailable">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.muc.MucRoomManager-class.html#rooms" class="summary-name">rooms</a><br />
      : a dictionary containing known MUC rooms.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="stream"></a><span class="summary-name">stream</span><br />
      : the stream associated with the room manager.
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stream</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize a <a href="pyxmpp.jabber.muc.MucRoomManager-class.html" class="link">MucRoomManager</a> object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stream</code></strong> (: <a href="pyxmpp.stream.Stream-class.html" class="link">pyxmpp.stream.Stream</a>) - : a stream to be initially assigned to <code class="link">self</code>.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="set_stream"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_stream</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stream</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.set_stream">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Change the stream assigned to <code class="link">self</code>.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stream</code></strong> (: <a href="pyxmpp.stream.Stream-class.html" class="link">pyxmpp.stream.Stream</a>) - : the new stream to be assigned to <code class="link">self</code>.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="set_handlers"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_handlers</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">priority</span>=<span class="sig-default">10</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.set_handlers">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Assign MUC stanza handlers to the <a href="pyxmpp.jabber.muc.MucRoomManager-class.html#stream" class="link">self.stream</a>.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>priority</code></strong> (: <code class="link">int</code>) - : priority for the handlers.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="join"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">join</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">room</span>,
        <span class="sig-arg">nick</span>,
        <span class="sig-arg">handler</span>,
        <span class="sig-arg">password</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">history_maxchars</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">history_maxstanzas</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">history_seconds</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">history_since</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.join">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Create and return a new room state object and request joining
to a MUC room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>room</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : the name of a room to be joined</li>
        <li><strong class="pname"><code>nick</code></strong> (: <code class="link">unicode</code>) - : the nickname to be used in the room</li>
        <li><strong class="pname"><code>handler</code></strong> (: <a href="pyxmpp.jabber.muc.MucRoomHandler-class.html" class="link">MucRoomHandler</a>) - : is an object to handle room events.</li>
        <li><strong class="pname"><code>password</code></strong> (: <code class="link">unicode</code>) - : password for the room, if any</li>
        <li><strong class="pname"><code>history_maxchars</code></strong> (: <code class="link">int</code>) - : limit of the total number of characters in
history.</li>
        <li><strong class="pname"><code>history_maxstanzas</code></strong> (: <code class="link">int</code>) - : limit of the total number of messages in
history.</li>
        <li><strong class="pname"><code>history_seconds</code></strong> (: <code class="link">int</code>) - : send only messages received in the last
<code class="link">history_seconds</code> seconds.</li>
        <li><strong class="pname"><code>history_since</code></strong> (: <code class="link">datetime.datetime</code>) - : Send only the messages received since the
dateTime specified (UTC).</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.jabber.muc.MucRoomState-class.html" class="link">MucRoomState</a></dt>
        <dd>the room state object created.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_room_state"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_room_state</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">room</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.get_room_state">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the room state object of a room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>room</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : JID or the room which state is requested.</li>
    </ul></dd>
    <dt>Returns: <a href="pyxmpp.jabber.muc.MucRoomState-class.html" class="link">MucRoomState</a></dt>
        <dd>the state object.</dd>
  </dl>
</td></tr></table>
</div>
<a name="forget"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">forget</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">rs</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.forget">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Remove a room from the list of managed rooms.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>rs</code></strong> (: <a href="pyxmpp.jabber.muc.MucRoomState-class.html" class="link">MucRoomState</a>) - : the state object of the room.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="__groupchat_message"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__groupchat_message</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.__groupchat_message">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process a groupchat message from a MUC room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.message.Message-class.html" class="link">Message</a>) - : the stanza received.</li>
    </ul></dd>
    <dt>Returns: <code class="link">bool</code></dt>
        <dd><code class="link">True</code> if the message was properly recognized as directed to
one of the managed rooms, <code class="link">False</code> otherwise.</dd>
  </dl>
</td></tr></table>
</div>
<a name="__error_message"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__error_message</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.__error_message">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process an error message from a MUC room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.message.Message-class.html" class="link">Message</a>) - : the stanza received.</li>
    </ul></dd>
    <dt>Returns: <code class="link">bool</code></dt>
        <dd><code class="link">True</code> if the message was properly recognized as directed to
one of the managed rooms, <code class="link">False</code> otherwise.</dd>
  </dl>
</td></tr></table>
</div>
<a name="__presence_error"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__presence_error</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.__presence_error">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process an presence error from a MUC room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a>) - : the stanza received.</li>
    </ul></dd>
    <dt>Returns: <code class="link">bool</code></dt>
        <dd><code class="link">True</code> if the stanza was properly recognized as generated by
one of the managed rooms, <code class="link">False</code> otherwise.</dd>
  </dl>
</td></tr></table>
</div>
<a name="__presence_available"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__presence_available</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.__presence_available">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process an available presence from a MUC room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a>) - : the stanza received.</li>
    </ul></dd>
    <dt>Returns: <code class="link">bool</code></dt>
        <dd><code class="link">True</code> if the stanza was properly recognized as generated by
one of the managed rooms, <code class="link">False</code> otherwise.</dd>
  </dl>
</td></tr></table>
</div>
<a name="__presence_unavailable"></a>
<div class="private">
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__presence_unavailable</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomManager.__presence_unavailable">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Process an unavailable presence from a MUC room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.presence.Presence-class.html" class="link">Presence</a>) - : the stanza received.</li>
    </ul></dd>
    <dt>Returns: <code class="link">bool</code></dt>
        <dd><code class="link">True</code> if the stanza was properly recognized as generated by
one of the managed rooms, <code class="link">False</code> otherwise.</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== INSTANCE VARIABLE DETAILS ==================== -->
<a name="section-InstanceVariableDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variable Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariableDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="rooms"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">rooms</h3>
  : a dictionary containing known MUC rooms. Unicode room JIDs are the
keys.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:01 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
